arrangers:
- link: artist/10051
  names:
    en: Hiroaki Kagoshima
    ja: 籠島裕昌
- link: artist/12264
  names:
    en: PSYCHIC LOVER
    ja: サイキックラバー
- link: artist/74396
  names:
    en: Mac'in Kuwata
    ja: Mac'in 桑田
barcode: '4988001922735'
catalog: CODC-2111
categories:
- Animation
category: Animation
classification: Vocal
composers:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
- link: artist/12266
  names:
    en: IMAJO
- link: artist/12265
  names:
    en: YOFFY
covers: []
discs:
- disc_length: Unknown
  name: Disc 1
  tracks:
  - names:
      Japanese: Transformers ～鋼鉄の勇気～
    track_length: Unknown
  - names:
      Japanese: Don't Give Up!!
    track_length: Unknown
  - names:
      Japanese: Transformers ～鋼鉄の勇気～ (オリジナル・カラオケ)
    track_length: Unknown
  - names:
      Japanese: Don't Give Up!! (オリジナル・カラオケ)
    track_length: Unknown
distributor: &id001
  link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: distributor
link: album/149443
lyricists:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
- link: artist/12265
  names:
    en: YOFFY
media_format: CD
meta:
  added_date: 2025-05-07T22:05
  edited_date: 2025-09-22T12:57
  fetched_date: 2025-12-07T10:28
  freedb: 0
  ttl: 86400
  visitors: 219
name: 'THE TRANSFORMERS LEGENDS OF THE MICRONS: Transformers ~Koutetsu no Yuuki~/Don''t
  Give Up!!'
names:
  en: 'THE TRANSFORMERS LEGENDS OF THE MICRONS: Transformers ~Koutetsu no Yuuki~/Don''t
    Give Up!!'
  ja: 「超ロボット生命体トランスフォーマー～マイクロン伝説～」新主題歌
  ja-latn: '"Chou Robot Seimeitai Transformers ~Micron Densetsu~" Shin Shudaika'
notes: 'M-01 - TV Anime "Transformers: Armada" 2nd Opening Theme

  Vocals, Lyrics, Composition: Hideaki Takatori

  Arrangement: Hiroaki Kagoshima

  M-02 - TV Anime "Transformers: Armada" 2nd Ending Theme

  Vocals: PSYCHIC LOVER

  Composition: IMAJO, YOFFY

  Arrangement: PSYCHIC LOVER, Mac''in Kuwata

  Lyrics: YOFFY'
organizations:
- &id002
  link: org/2193
  names:
    en: Columbia Music Entertainment
    ja: Columbia Music Entertainment
    ja-latn: Columbia Music Entertainment
  role: label
- link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: manufacturer
- *id001
performers: []
picture_full: https://media.vgm.io/albums/34/149443/149443-9843f884b110.jpg
picture_small: https://medium-media.vgm.io/albums/34/149443/149443-9843f884b110.jpg
picture_thumb: https://thumb-media.vgm.io/albums/34/149443/149443-9843f884b110.jpg
platforms:
- Series
products:
- link: release/35848
  names:
    en: 'The Transformers: Legends of the Microns'
    ja: 超ロボット生命体トランスフォーマー マイクロン伝説
    ja-latn: 'Chou Robot Seimeitai Transformers: Micron Densetsu'
publish_format: Commercial
publisher: *id002
related:
- catalog: CODC-2090
  date: '2003-02-01'
  link: album/149431
  names:
    en: TRANSFORMER - Dream Again / PSYCHIC LOVER
    ja: TRANSFORMER - Dream Again / サイキックラバー
    ja-latn: TRANSFORMER - Dream Again / PSYCHIC LOVER
  type: anime
- catalog: CODC-2091
  date: '2003-02-01'
  link: album/149434
  names:
    en: Never Ending Road / PSYCHIC LOVER
    ja: Never Ending Road / サイキックラバー
    ja-latn: Never Ending Road / PSYCHIC LOVER
  type: anime
- catalog: COCX-32094
  date: '2003-03-21'
  link: album/40883
  names:
    en: THE TRANSFORMERS LEGENDS OF THE MICRONS SOUND O...
    ja: 超ロボット生命体 トランスフォーマー マイクロン...
    ja-latn: THE TRANSFORMERS LEGENDS OF THE MICRONS SOUND O...
  type: anime
- catalog: CODC-2102
  date: '2003-03-29'
  link: album/149440
  names:
    en: 'THE TRANSFORMERS LEGENDS OF THE MICRONS: TRANSF...'
    ja: 「超ロボット生命体トランスフォーマー～マイクロ...
    ja-latn: '"Chou Robot Seimeitai Transformers ~Micron Dens...'
  type: anime
- catalog: COCX-32259
  date: '2003-06-18'
  link: album/40884
  names:
    en: THE TRANSFORMERS LEGENDS OF THE MICRONS SOUND O...
    ja: 超ロボット生命体 トランスフォーマー マイクロン...
    ja-latn: THE TRANSFORMERS LEGENDS OF THE MICRONS SOUND O...
  type: anime
release_date: '2003-07-23'
release_events: []
release_price:
  currency: JPY
  price: 1260.0
reprints: []
stores:
- link: http://www.cdjapan.co.jp/product/CODC-2111
  name: CDJapan (OOP)
- link: http://tower.jp/item/1011712
  name: TOWER RECORDS ONLINE (OOP)
vgmdb_link: https://vgmdb.net/album/149443?perpage=99999
vocals:
- link: artist/7003
  names:
    en: Hideaki Takatori
    ja: 高取ヒデアキ
- link: artist/12264
  names:
    en: PSYCHIC LOVER
    ja: サイキックラバー
votes: 0
